# Class EclipseWtp

java.lang.Object
org.gradle.plugins.ide.eclipse.model.EclipseWtp

public abstract class EclipseWtp extends Object
Enables fine-tuning wtp/wst details of the Eclipse plugin

For projects applying the eclipse plugin and either one of the ear or war plugins, this plugin is auto-applied.

More interesting examples you will find in docs for `EclipseWtpComponent`

    plugins {
        id 'war' // or 'ear' or 'java'
        id 'eclipse-wtp'
    }

    eclipse {

      //if you want parts of paths in resulting file(s) to be replaced by variables (files):
      pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

      wtp {
        component {
          //for examples see docs for EclipseWtpComponent
        }
      }
    }

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EclipseWtp()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `component(Closure action)`
  Configures wtp component.
  `void`
  `component(Action<? super EclipseWtpComponent> action)`
  Configures wtp component.
  `void`
  `facet(Closure action)`
  Deprecated.
  Will be removed in Gradle 10.
  `void`
  `facet(Action<? super EclipseWtpFacet> action)`
  Deprecated.
  Will be removed in Gradle 10.
  `EclipseWtpComponent`
  `getComponent()`
  Configures wtp component.
  `EclipseWtpFacet`
  `getFacet()`
  Deprecated.
  Will be removed in Gradle 10.
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  Deprecated.
  Will be removed in Gradle 10.
  `void`
  `setComponent(EclipseWtpComponent component)`
  Sets the component.
  `void`
  `setFacet(EclipseWtpFacet facet)`
  Deprecated.
  Will be removed in Gradle 10.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EclipseWtp

    public EclipseWtp()

- ## Method Details

  - ### getObjectFactory

    @Deprecated @Inject protected abstract ObjectFactory getObjectFactory()
    Deprecated.
    Will be removed in Gradle 10.
    Injects and returns an instance of `ObjectFactory`.
    Since:
      4.9

  - ### getComponent

    public EclipseWtpComponent getComponent()
    Configures wtp component.

    For examples see docs for `EclipseWtpComponent`

    Since:
      1.0

  - ### setComponent

    public void setComponent(EclipseWtpComponent component)
    Sets the component.
    Since:
      1.0

  - ### component

    public void component(@DelegatesTo(EclipseWtpComponent.class) Closure action)
    Configures wtp component.

    For examples see docs for `EclipseWtpComponent`

    Since:
      1.0

  - ### component

    public void component(Action<? super EclipseWtpComponent> action)
    Configures wtp component.

    For examples see docs for `EclipseWtpComponent`

    Since:
      3.5

  - ### getFacet

    @Deprecated public EclipseWtpFacet getFacet()
    Deprecated.
    Will be removed in Gradle 10.
    Configures wtp facet.
    Since:
      1.0

  - ### setFacet

    @Deprecated public void setFacet(EclipseWtpFacet facet)
    Deprecated.
    Will be removed in Gradle 10.
    Sets the wtp facet configuration.
    Since:
      1.0

  - ### facet

    @Deprecated public void facet(@DelegatesTo(EclipseWtpFacet.class) Closure action)
    Deprecated.
    Will be removed in Gradle 10.
    Configures wtp facet.
    Since:
      1.0

  - ### facet

    @Deprecated public void facet(Action<? super EclipseWtpFacet> action)
    Deprecated.
    Will be removed in Gradle 10.
    Configures wtp facet.
    Since:
      3.5